.\"	$NetBSD: boot.8,v 1.12 2003/08/07 10:31:23 agc Exp $
.\"
.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	From:
.\"	@(#)boot_hp300.8	8.2 (Berkeley) 4/19/94
.\"
.Dd April 8, 2003
.Dt BOOT 8 atari
.Os
.Sh NAME
.Nm boot
.Nd
system bootstrapping procedures
.Sh DESCRIPTION
.Ss Power fail and crash recovery
When the
.Nx
kernel is booted normally (using one of the two methods discussed below),
it initializes itself and proceeds to boot the system.
An automatic consistency check of the file systems takes place,
and unless this fails, the system comes up to multi-user operations.
The proper way to shut the system down is with the
.Xr shutdown 8
command.
.Pp
If the system crashes, it will enter the kernel debugger,
.Xr ddb 4 ,
if it is configured in the kernel.
If the debugger is not present,
or the debugger is exited, the system will attempt a dump to the
configured dump device (which will be automatically recovered with
.Xr savecore 8
during the next boot cycle).
After the dump is complete (successful or not), the system will
attempt a reboot.
.Ss Booting NetBSD using the bootloader
When a bootable
.Nx
partition is created by means of
.Xr installboot 8
and the boot-preference bit in the NVRAM is either invalid or set to
.Nx
, the Atari BIOS will automatically start the
.Nx
bootloader.
By default it will load the kernel image
.Pa /netbsd
and attempts to boot it into multi-user mode.
This behaviour can be changed by either keeping the
.Pa Alternate
or the
.Pa Right-Shift
key pressed during the boot.
When the
.Pa Alternate
key is pressed, the bootstrap is aborted, causing the BIOS
to continue scanning the disks for a bootable partition (this is compatible
with AHDI 3.0).
Pressing the
.Pa Right-Shift
key during the boot, causes the boot loader to enter the interactive mode.
In interactive mode, the command line looks like:
.Bd -ragged -offset indent
.Pp
.Op Ar OS-type
.Op Ar boot-path
.Op Ar boot-options
.Ed
.Pp
Each component of the command can be omitted in which case the defaults
indicated will be used.
.Bl -tag -width boot-options
.It OS-type :
.Bl -tag -compact -width ".netbsd (default)"
.It .netbsd (the default)
.It .linux
.It .asv
.It .tos
.El
.Pp
If something other than
.Pa .netbsd
is specified, control is returned to the BIOS with the boot preference set to
the selected type.
Due to limitations of the BIOS however, the search for
bootblocks is continued rather than restarted.
.It boot-path
This gives you the opportunity to boot another kernel, say:
.Pa /netbsd.old .
The default is
.Pa /netbsd
.It boot-options
These options are a subset of the
.Xr loadbsd 8
options.
.Bl -tag -width flag -compact
.It Fl a
Boot into multi-user mode (the default)
.It Fl b
Prompt for the root file system device, the system crash dump
device, and the path to
.Xr init 8 .
.It Fl d
Enter the kernel debugger
.It Fl q
Boot in quiet mode
.It Fl v
Boot in verbose mode
.El
.El
.Ss Booting using the loadbsd program
When you want (or have to) start
.Nx
from GEM, you have to use the
.Xr loadbsd 8
program that is supplied on the kernel-floppy.
The loadbsd command line specification is:
.Bd -ragged -offset indent
.Nm loadbsd
.Op Fl abdhqstvwDV
.Op Fl S Ar amount
.Op Fl T Ar amount
.Ar kernel-path
.Ed
.Pp
Description of options:
.Bl -tag -width flag
.It Fl a
Boot automatically into multi-user mode.
.It Fl b
Prompt for the root file system device, the system crash dump
device, and the path to
.Xr init 8 .
.It Fl d
Enter the kernel debugger after booting.
.It Fl h
Print a help screen that tries to explain the same options as mentioned
here.
.It Fl o Ar outputfile
Write all output to the file
.Ar outputfile .
.It Fl q
Boot in quiet mode.
.It Fl s
Tell
.Nx
only to use ST compatible RAM.
.It Fl t
Test loading of the kernel but don't start
.Nx .
.It Fl v
Boot in verbose mode.
.It Fl w
Wait for a keypress before exiting loadbsd.
This is useful when starting this program under GEM.
.It Fl D
Show debugging output while booting the kernel.
.It Fl S Ar amount
Set the amount of available ST compatible RAM in bytes.
Normally this
value is set automatically from the values initialized by the BIOS.
.It Fl T Ar amount
Set the amount of available TT compatible RAM in bytes.
Normally this
value is set automatically from the values initialized by the BIOS.
.It Fl V
Print the version of
.Xr loadbsd 8
that you are using.
.It Ar kernel-path
This is a GEMDOS path specification of the kernel to boot.
.El
.Pp
Note: Because the loadbsd program can only read kernels from a GEMDOS
filesystem, the file
.Ar /netbsd
is usually not the same as the actual kernel booted.
This can cause some programs to fail.
.Sh FILES
.Bl -tag -width /netbsd -compact
.It Pa /netbsd
system kernel
.El
.Sh SEE ALSO
.Xr ddb 4 ,
.Xr savecore 8 ,
.Xr shutdown 8
